<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "salegst.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["isearch"];
$operator = $_REQUEST["ioperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["ifield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["ifield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["ifield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["ifield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["ifield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["ifield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.`vouchno`, date_format(a.vouchdt,'%d/%m/%Y') as mydt, b.`name` as partyname, a.`billamt` FROM `salemain` a, `accmast` b  "
        . "WHERE  a.accode=b.accode  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));
//print $result;
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[vouchno],
        'vouchdt' => $r[mydt],
        'party' => $r[partyname],
        'billamt' => $r[billamt],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
